<?php
define('sld_LICENSING_PLUGIN_SLUG', 'qc-simple-link-directory/qc-op-directory-main.php');
define('sld_LICENSING_PLUGIN_NAME', 'qc-simple-link-directory');
define('sld_LICENSING__DIR', plugin_dir_path(__DIR__));

define('sld_LICENSING_REMOTE_PATH', 'https://www.ultrawebmedia.com/li/plugins/sld/update.php');
define('sld_LICENSING_PRODUCT_DEV_URL', 'https://quantumcloud.com/products/');

//start new-update-for-codecanyon
define('sld_ENVATO_PLUGIN_ID', 18482557);
//end new-update-for-codecanyon

function get_sld_licensing_plugin_data(){
	include_once(ABSPATH.'wp-admin/includes/plugin.php');
	return get_plugin_data(sld_LICENSING__DIR.'/qc-op-directory-main.php', false);
}

//License Options
function get_sld_licensing_key(){
	return get_option('qcld_sld_enter_license_key');
}

function get_sld_envato_key(){
	return get_option('qcld_sld_enter_envato_key');
}

function get_sld_licensing_buy_from(){
	return get_option('qcld_sld_buy_from_where');
}


//Update Transients
function get_sld_update_transient(){
	return get_transient('qcld_update_sld');
}

function set_sld_update_transient($plugin_object){
	return set_transient( 'qcld_update_sld', serialize($plugin_object), 1 * DAY_IN_SECONDS  );
}

function delete_sld_update_transient(){
	return delete_transient( 'qcld_update_sld' );
}


//Renewal Transients
function get_sld_renew_transient(){
	return get_transient('qcld_renew_sld_subscription');
}

function set_sld_renew_transient($plugin_object){
	return set_transient( 'qcld_renew_sld_subscription', serialize($plugin_object), 1 * DAY_IN_SECONDS  );
}

function delete_sld_renew_transient(){
	return delete_transient( 'qcld_renew_sld_subscription' );
}


//Invalid License Options
function get_sld_invalid_license(){
	return get_option('sld_invalid_license');
}

function set_sld_invalid_license(){
	return update_option('sld_invalid_license', 0);
}

function delete_sld_invalid_license(){
	return delete_option('sld_invalid_license');
}
function sld_get_licensing_url(){
	return admin_url('edit.php?post_type=sld&page=qcld_sld_help_license');
}

//Valid License
function get_sld_valid_license(){
	return get_option('sld_valid_license');
}
function set_sld_valid_license(){
	return update_option('sld_valid_license', 1);
}
function delete_sld_valid_license(){
	return delete_option('sld_valid_license');
}

//staging or live 
function get_sld_site_type(){
	return get_option('qcld_sld_site_type');
}



//start new-update-for-codecanyon
function get_sld_license_purchase_code(){
	return get_option('qcld_sld_enter_license_or_purchase_key');
}

function get_sld_enter_license_notice_dismiss_transient(){
	return get_transient('get_sld_enter_license_notice_dismiss_transient');
}

function set_sld_enter_license_notice_dismiss_transient(){
	return set_transient('get_sld_enter_license_notice_dismiss_transient', 1, DAY_IN_SECONDS);
}

function get_sld_invalid_license_notice_dismiss_transient(){
	return get_transient('get_sld_invalid_license_notice_dismiss_transient');
}

function set_sld_invalid_license_notice_dismiss_transient(){
	return set_transient('get_sld_invalid_license_notice_dismiss_transient', 1, DAY_IN_SECONDS);
}
//end new-update-for-codecanyon

function sld_display_license_section(){
?>
	<h1>Please Insert your license Key</h1>
	<div class="qcld-sld-section-block">

		<?php
			$total_active_domain = 0;
			$active_domain_lists = array();
			$track_domain_request = wp_remote_get(sld_LICENSING_PRODUCT_DEV_URL."wp-json/qc-domain-tracker/v1/getdomain/?license_key=".get_SLD_licensing_key(), array('timeout' => 300));
			
				$track_domain_result = json_decode($track_domain_request['body']);
				
				$current_domain_url =  site_url() ;
				$current_domain = str_replace(
										array( 'https://', 'http://', 'www.' ),
										array('', '', ''),
										$current_domain_url
									);
				
					$max_domain_num = 100;
					$total_domains = 1;
					$total_domains_num = 99;

					

					
					//if( $max_domain_num < $total_active_domain ){
						//$first_domain_name = $total_domains[0]['domain_name'];
						
							
				?>
							>
				

		<?php if( get_SLD_valid_license() ){ ?>
			<div class="qcld-success-notice">
				<p>Thank you, Your License is active. <?php if( get_sld_licensing_buy_from() == 'codecanyon' ){ ?>Please <a href="https://envato.com/market-plugin/">Download</a> the Envato Market Plugin to Get Auto Updates During Your Support Period. <?php } ?></p>
			</div>
		<?php } ?>
		
		<form onsubmit="return false" id="qc-license-form" method="post" action="options.php">
			<?php
				delete_SLD_update_transient();
				delete_SLD_renew_transient();
				
				delete_option('_site_transient_update_plugins');
				settings_fields( 'qcld_sld_license' );
				do_settings_sections( 'qcld_sld_license' );

				// if( isset($_POST['submit']) ){
				// 	echo 'qcld_sld_buy_from_where '.$_POST['qcld_sld_buy_from_where'];
				// }
			?>
			<table class="form-table">

				<tr id="quantumcloud_portfolio_license_row" style="display: none">
					<th>
						<label for="qcld_sld_enter_license_key">Enter License Key:</label>
					</th>
					<td>
						<input type="<?php echo (get_sld_licensing_key()!=''?'password':'text'); ?>" id="qcld_sld_enter_license_key" name="qcld_sld_enter_license_key" class="regular-text" value="<?php echo get_sld_licensing_key(); ?>">
						<p>You can copy the license key from <a target="_blank" href='https://www.quantumcloud.com/products/account/'>your account</a></p>
					</td>
				</tr>

				<tr id="show_envato_plugin_downloader" style="display: none">
					<th>
						<label for="qcld_sld_enter_envato_key">Enter Purchase Code:</label>
					</th>
					<td colspan="4">
						<input type="<?php echo (get_sld_envato_key()!=''?'password':'text'); ?>" id="qcld_sld_enter_envato_key" name="qcld_sld_enter_envato_key" class="regular-text" value="<?php echo get_sld_envato_key(); ?>">
						<p>You can install the <a target="_blank" href="https://envato.com/market-plugin/">Envato Plugin</a> to stay up to date.</p>
					</td>
				</tr>

			<!-- //start new-update-for-codecanyon -->
                <tr>
                    <th>
                        <label for="qcld_sld_enter_license_or_purchase_key">Enter License Key or Purchase Code:</label>
                    </th>
                    <td>
                        <input type="<?php echo (get_sld_license_purchase_code()!=''?'password':'text'); ?>" id="qcld_sld_enter_license_or_purchase_key" name="qcld_sld_enter_license_or_purchase_key" class="regular-text" value="<?php echo get_sld_license_purchase_code(); ?>" required>
                    </td>
                </tr>
            <!-- //end new-update-for-codecanyon -->

			</table>

			<!-- //start new-update-for-codecanyon -->
            <input type="hidden" name="qcld_sld_buy_from_where" value="<?php echo get_sld_licensing_buy_from(); ?>" >
            <!-- //end new-update-for-codecanyon -->
			<?php submit_button(); ?>
		</form>
	</div>

	<script type="text/javascript">
        jQuery(document).ready(function(){

            //start new-update-for-codecanyon
            jQuery('#qcld_sld_enter_license_or_purchase_key').on('focusout', function(){
            	qc_sld_set_plugin_license_fields();
            });

            jQuery('#qcld_sld_enter_license_or_purchase_key').on('keypress',function (e) {
            	  qc_sld_set_plugin_license_fields();
			});

			jQuery('#qc-license-form input[type="submit"]').on('click', function(){
				qc_sld_set_plugin_license_fields();
				jQuery('#qc-license-form').removeAttr('onsubmit').submit();
			});

            function qc_sld_set_plugin_license_fields(){
                var license_input = jQuery('#qcld_sld_enter_license_or_purchase_key').val();
                if( /^(\w{8})-((\w{4})-){3}(\w{12})$/.test(license_input) ){
                    jQuery('input[name="qcld_sld_buy_from_where"]').val('codecanyon');
                    jQuery('input[name="qcld_sld_enter_envato_key"]').val(license_input);
                }else{
                    jQuery('input[name="qcld_sld_buy_from_where"]').val('quantumcloud');
                    jQuery('input[name="qcld_sld_enter_license_key"]').val(license_input);
                }
            }
            //end new-update-for-codecanyon

        });
    </script>
<?php
}
